import 'package:flutter/material.dart';
import 'package:hub/shared/utils/storage_util.dart';

export 'context_entensions.dart' show ContextExtensions;

extension ContextExtensions on BuildContext {
  void setStateStatic(VoidCallback callback) {
    final element = findAncestorStateOfType<State<StatefulWidget>>();
    element?.setState(callback);
  }
}
